version: '3.9'

services:
  audio-analyzer:
    image: mpai-audio-analyzer
    environment:
      - INPUT_AUDIO=/data/input_audio.wav
      - OUTPUT_CHUNKS=/data/chunks/
    volumes:
      - ./data:/data

  video-analyzer:
    image: mpai-video-analyzer
    environment:
      - INPUT_CHUNKS=/data/chunks/
    volumes:
      - ./data:/data
    depends_on:
      - audio-analyzer

  tape-irregularity-classifier:
    image: mpai-tape-irregularity-classifier
    environment:
      - INPUT_CHUNKS=/data/chunks/
    volumes:
      - ./data:/data
    depends_on:
      - audio-analyzer
      - video-analyzer

  tape-audio-restoration:
    image: mpai-tape-audio-restoration
    environment:
      - INPUT_CHUNKS=/data/chunks/
    volumes:
      - ./data:/data
    depends_on:
      - tape-irregularity-classifier

  packager:
    image: mpai-packager
    environment:
      - INPUT_CHUNKS=/data/chunks/
    volumes:
      - ./data:/data
    depends_on:
      - tape-irregularity-classifier
      - tape-audio-restoration

volumes:
  data:
